# Generated by Django 4.1.13 on 2024-02-22 09:31

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0076_alter_mainresultspage_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mainresultspage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "flip_cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "cards",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "bg_color",
                                                    wagtail.blocks.CharBlock(
                                                        default="FEC900",
                                                        label="Barva pozadí",
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.TextBlock(
                                                        help_text="Řádkování je manuální.",
                                                        label="Nadpis",
                                                    ),
                                                ),
                                                (
                                                    "content",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Obsah"
                                                    ),
                                                ),
                                                (
                                                    "button_text",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Pokud není vyplněn, tlačítko se neukáže.",
                                                        label="Nadpis tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "button_url",
                                                    wagtail.blocks.CharBlock(
                                                        label="Odkaz tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Karta",
                                        ),
                                        label="Karty",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            template="styleguide2/includes/atoms/text/prose_richtext.html"
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Obsah",
            ),
        ),
    ]
